# Billing Templates Billing Templates ## Gets all of the billing templates in the system. - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller. ## Creates a new billing template record that does not already exist. - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown. ## Execute Batch Operations - [POST /billingTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Generates a billing run from a template - [GET /billingTemplates/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/generatebillingrunfromtemplate.md) ## Returns a billing template from the system by its ID. - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID. ## Returns a billing template from the system by its ID. - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back. ## Partially updates a billing template with the specified ID. - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification. ## Updates a billing template with the specified ID. - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID.